Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInputStream Class Reference

`#include <vtkInputStream.h>`

Inheritance diagram for vtkInputStream:

[legend]
Collaboration diagram for vtkInputStream:

[legend]
List of all members.

## Detailed Description

Wraps a binary input stream with a VTK interface.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkInputStream provides a VTK-style interface wrapping around a standard input stream. The access methods are virtual so that subclasses can transparently provide decoding of an encoded stream. Data lengths for Seek and Read calls refer to the length of the input data. The actual length in the stream may differ for subclasses that implement an encoding scheme.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkInputStream.h)`
  - .`cxx` (`/IO/vtkInputStream.cxx)`

Definition at line 45 of file vtkInputStream.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | StartReading ()
virtual int | Seek (unsigned long offset)
virtual void | EndReading ()
virtual void | SetStream (istream *)
virtual istream * | GetStream ()
virtual unsigned long | Read (unsigned char *data, unsigned long length)
unsigned long | Read (char *data, unsigned long length)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkInputStream * | SafeDownCast (vtkObject *o)
vtkInputStream * | New ()
## Protected Methods
| vtkInputStream ()
| ~vtkInputStream ()
## Protected Attributes
istream * | Stream
unsigned long | StreamStartPosition

## Member Typedef Documentation

typedef vtkObject vtkInputStream::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkBase64InputStream. Definition at line 48 of file vtkInputStream.h.

## Constructor & Destructor Documentation

vtkInputStream::vtkInputStream | ( |  | ) | `[protected]`

vtkInputStream::~vtkInputStream | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkInputStream::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkBase64InputStream.

int vtkInputStream::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkBase64InputStream.

virtual int vtkInputStream::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkBase64InputStream.

vtkInputStream* vtkInputStream::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkBase64InputStream.

vtkInputStream* vtkInputStream::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkBase64InputStream.

void vtkInputStream::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkBase64InputStream.

virtual void vtkInputStream::SetStream | ( | istream * |  | ) | `[virtual]`

| Get/Set the real input stream.

virtual istream* vtkInputStream::GetStream | ( |  | ) | `[virtual]`

| Get/Set the real input stream.

virtual void vtkInputStream::StartReading | ( |  | ) | `[virtual]`

| Called after the stream position has been set by the caller, but before any Seek or Read calls. The stream position should not be adjusted by the caller until after an EndReading call. Reimplemented in vtkBase64InputStream.

virtual int vtkInputStream::Seek | ( | unsigned long | offset | ) | `[virtual]`

| Seek to the given offset in the input data. Returns 1 for success, 0 for failure. Reimplemented in vtkBase64InputStream.

virtual unsigned long vtkInputStream::Read | ( | unsigned char * | data,
|  | unsigned long | length
| ) | `[virtual]`

| Read input data of the given length. Returns amount actually read. Reimplemented in vtkBase64InputStream.

unsigned long vtkInputStream::Read | ( | char * | data,
|  | unsigned long | length
| ) |

| Read input data of the given length. Returns amount actually read.

virtual void vtkInputStream::EndReading | ( |  | ) | `[virtual]`

| Called after all desired calls to Seek and Read have been made. After this call, the caller is free to change the position of the stream. Additional reads should not be done until after another call to StartReading. Reimplemented in vtkBase64InputStream.

## Member Data Documentation

istream* vtkInputStream::Stream`[protected]`

| Definition at line 86 of file vtkInputStream.h.

unsigned long vtkInputStream::StreamStartPosition`[protected]`

| Definition at line 89 of file vtkInputStream.h.

The documentation for this class was generated from the following file:

- IO/vtkInputStream.h